.navbar {
    width: 50%;
    padding: 15px;
    gap: 20px;
    display: flex;
    align-items: center;
    border-radius: 0 0 0 40px;
    background: var(--secondary-bg-color);
    border-left: 1px solid var(--border-color);
    border-bottom: 1px solid var(--border-color);
    position: absolute;
    right: 0;
    top: 0;
    z-index: 1;
}

.navbar .logo {
    padding: 12px;
    font-size: x-large;
    font-weight: 800;
    border-radius: 0px 50%;
    color: var(--white-color);
    background-color: var(--main-color);
}

.navbar .nav-links {
    gap: 30px;
    display: flex;
    list-style: none;
    margin-left: auto;
    align-items: center;
}

.navbar .nav-links .link {
    font-size: 17px;
    font-weight: 400;
    text-decoration: none;
    color: var(--text-color);
}

.navbar .nav-links .link.active {
    font-weight: 800;
    color: var(--main-color);
}

.navbar #menu-btn {
    display: none;
}

@media screen and (min-width: 640px) and (max-width: 1024px) {
    .navbar {
        gap: 0px;
        padding: 10px 30px;
        width: 100vw;
        position: fixed;
        top: 0;
        left: 0;
        border: none;
        border-radius: 0;
    }

    .navbar .logo {
        padding: 10px;
        font-size: medium;
        border-radius: 50% 36% 29% 50%;
    }

    .navbar .nav-links {
        display: flex;
        margin-left: auto;
    }

    .navbar #dark-mode-btn {
        margin-left: 10px;
        margin-right: 0;
        padding: 10px;
    }
    
    .navbar #menu-btn {
        display: none;
    }
}

@media screen and (min-width: 768px) and (max-width: 1024px) {
    .navbar {
        padding: 10px 30px;
    }
}

@media screen and (max-width: 640px) {
    .navbar {
        gap: 0px;
        padding: 10px;
        width: 100vw;
        position: fixed;
        top: 0;
        left: 0;
        border: none;
        border-radius: 0;
        border-bottom: 1px solid var(--border-color);
    }

    .navbar .logo {
        padding: 10px;
        font-size: medium;
        border-radius: 50% 36% 29% 50%;
    }

    .navbar .nav-links {
        border: 1px solid var(--border-color);
        border-right: none;
        border-top: none;
        padding: 28px 40px;
        border-bottom-left-radius: 30px;
        background: var(--secondary-bg-color);
        flex-direction: column;
        position: absolute;
        right: -100%;
        top: 100%;
        z-index: 1;
    }

    .navbar #dark-mode-btn {
        margin-left: auto;
        margin-right: 0;
        padding: 10px;
    }
    
    .navbar #menu-btn {
        padding: 10px;
        display: flex;
    }
}

@media screen and (min-width: 500px) and (max-width: 768px) {
    .navbar {
        padding: 10px 20px;
    }
}